Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Current Position V2 (KEYED)

Applicable for checking the position details a specified contract

Request URL

GET https://cloud-api.wooxpro.com/contract/private/position-v2

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/position-v2?symbol=BTCUSDT
FieldTypeRequired?Description
symbolStringNoSymbol of the contract(like BTCUSDT)
accountStringNoTrading account
-futures(default)
-copy_trading
Note
  • If symbol is not provided, data will only be returned for trading pairs with existing positions; trading pairs without positions will not return any data.
  • If symbol is provided, data will be returned regardless of whether there is a position. If the user has no position, the position-related fields will be displayed as zero.

Response Data

For One-way position mode:
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "BTCUSDT",
      "leverage": "51",
      "timestamp": 1746687390815,
      "current_fee": "0.0000397",
      "open_timestamp": 0,
      "current_value": "0",
      "mark_price": "98952",
      "position_value": "0",
      "position_cross": "0",
      "maintenance_margin": "0",
      "close_vol": "0",
      "close_avg_price": "0",
      "open_avg_price": "0",
      "entry_price": "0",
      "current_amount": "0",
      "position_amount": "5",
      "realized_value": "0",
      "mark_value": "0",
      "account": "futures",
      "open_type": "isolated",
      "position_side": "both",
      "unrealized_pnl": "0",
      "liquidation_price": "0",
      "max_notional_value": "500000",
      "initial_margin": "0"
    }
  ],
  "trace": "37ffeecd-3a6f-494a-8337-5c3a6012abfa"
}
For Hedge position mode:
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "BTCUSDT",
      "leverage": "51",
      "timestamp": 1746687096451,
      "current_fee": "0.0000397",
      "open_timestamp": 0,
      "current_value": "0",
      "mark_price": "98911.62032609",
      "position_value": "0",
      "position_cross": "0",
      "maintenance_margin": "0",
      "close_vol": "0",
      "close_avg_price": "0",
      "open_avg_price": "0",
      "entry_price": "0",
      "current_amount": "0",
      "position_amount": "5",
      "realized_value": "0",
      "mark_value": "0",
      "account": "futures",
      "open_type": "isolated",
      "position_side": "long",
      "unrealized_pnl": "0",
      "liquidation_price": "0",
      "max_notional_value": "500000",
      "initial_margin": "0"
    },
    {
      "symbol": "BTCUSDT",
      "leverage": "51",
      "timestamp": 1746687096451,
      "current_fee": "0.0000397",
      "open_timestamp": 0,
      "current_value": "0",
      "mark_price": "98911.62032609",
      "position_value": "0",
      "position_cross": "0",
      "maintenance_margin": "0",
      "close_vol": "0",
      "close_avg_price": "0",
      "open_avg_price": "0",
      "entry_price": "0",
      "current_amount": "0",
      "position_amount": "5",
      "realized_value": "0",
      "mark_value": "0",
      "account": "futures",
      "open_type": "isolated",
      "position_side": "short",
      "unrealized_pnl": "0",
      "liquidation_price": "0",
      "max_notional_value": "500000",
      "initial_margin": "0"
    }
  ],
  "trace": "ab2131db-5827-45ca-a1be-94522510e107"
}
FieldTypeDescription
leverageStringLeverage multiplier
symbolStringSymbol of the contract
current_feeStringCurrent position fees
open_timestampLongOpening timestamp
current_valueStringPosition value based on last price
mark_priceStringMark price
mark_valueStringPosition value based on mark price
position_valueStringPosition value based on entry price
open_avg_priceStringOpen average price
close_avg_priceStringClose average price
entry_priceStringAverage entry price of the position
close_volStringClose volume
position_crossStringMargin calls to positions
maintenance_marginStringMaintenance Margin
open_typeStringPosition margin type
-cross
-isolated
position_sideStringPosition side
-long
-short
-both
liquidation_priceStringLiquidation price
max_notional_valueStringMaximum notional value currently allowed
current_amountStringCurrent position amount
position_amountStringCurrent position direction amount
-Hedge mode=always positive
-One-way mode=positive represent long, negative represent short
unrealized_pnlStringUnrealized PnL
realized_valueStringRealized PnL
initial_marginStringPosition margin
accountStringTrading account
-futures
-copy_trading
timestampLongCurrent timestamp(ms)